#
# spec file for package perl-IP-Country
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IP-Country
Version:        2.28
Release:        40.2
#Upstream: GPL-1.0+ or Artistic-1.0
%define cpan_name IP-Country
Summary:        Fast Lookup of Country Codes From Ip Addresses
License:        (GPL-1.0+ or Artistic-1.0) and SUSE-Redistributable-Content
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IP-Country/
Source0:        http://www.cpan.org/authors/id/N/NW/NWETTERS/%{cpan_name}-%{version}.tar.gz
Source1:        perl-IP-Country-rpmlintrc
Source2:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl(Geography::Countries)
%{perl_requires}

%description
Finding the home country of a client using only the IP address can be
difficult. Looking up the domain name associated with that address can
provide some help, but many IP address are not reverse mapped to any useful
domain, and the most common domain (.com) offers no help when looking for
country.

This module comes bundled with a database of countries where various IP
addresses have been assigned. Although the country of assignment will
probably be the country associated with a large ISP rather than the client
herself, this is probably good enough for most log analysis applications,
and under test has proved to be as accurate as reverse-DNS and WHOIS
lookup.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.28
  see /usr/share/doc/packages/perl-IP-Country/CHANGES
  IP-Country-2.28, 2013.05.15
  - --------------------------
  Thanks to ANDK for bug report.
  BUGFIX: http://rt.cpan.org/Public/Bug/Display.html?id=74843
    minor robustness suggestion to work with CPAN::Reporter
  Database update (thx NHORNE and darrenrh-at-gmail for reminder)
* Thu Jun 21 2012 cfarrell@suse.com
- license update: (GPL-1.0+ or Artistic-1.0) and SUSE-Redistributable-Content
  SPDX format and add SUSE-Redistributable-Content from the list linked at
  http://license.opensuse.org
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Aug 30 2011 andrea.turrini@gmail.com
- fixed typo and standardized "Authors:" format in description of
  perl-IP-Country.spec
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Apr  6 2010 chris@computersalat.de
- update to 2.27
  o Added dependency for Geography::Countries (thx Otto Hirr)
  o Database update (thx Aaron K Dancygier for reminder)
- cleanup spec
  o added HEADER, Url, macros
- added perl-macros
* Sat May 30 2009 lars@linux-schulserver.de
- initial version 2.26
